View Issue Details

IDProjectCategoryView StatusLast Update
0032849Open CASCADEOCCT:Modeling Algorithmspublic2022-03-06 13:20
Reporterifv Assigned Toifv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032849: Modeling Algorithms - Intersection algorithm returns incomplete result
DescriptionFor given surfaces intersection algorithm must produce two curves, only one curve is produced.
Steps To Reproduce#Use attached files bug32849_s1, bug32849_s2:

restore bug32849_s1 s1
restore bug32849_s2 s2

intersect ii s1 s2

#result must be ii_1 and ii_2
TagsNo tags attached.
Test case numberlowalgos/intss/bug32849

Attached Files

  • bug32849_s1 (4,338 bytes)
  • bug32849_s2 (4,965 bytes)

Relationships

child of 0032811 assignedifv Community Bad result of sweep operation due to Surface Surface Intersect Bug 

Activities

ifv

2022-02-21 10:39

developer   ~0107001

bug32849_s1 (4,338 bytes)
bug32849_s2 (4,965 bytes)

git

2022-02-21 14:35

administrator   ~0107009

Branch CR32849 has been created by ifv.

SHA-1: 238e02f1709e26436633475430a04460f51484c8


Detailed log of new commits:

Author: ifv
Date: Tue Feb 1 12:17:52 2022 +0300

    0032811: Bad result of sweep operation due to Surface Surface Intersect Bug
    
    GeomInt/GeomInt_IntSS.cxx, IntTools/IntTools_FaceFace.cxx - setting deflection 0.01
    for case of two bspline surfaces
    IntPolyh/IntPolyh_Intersection.cxx, IntPolyh/IntPolyh_Intersection.hxx - status IsParallel is added
    
    BndLib/BndLib_Add3dCurve.cxx, IntTools/IntTools_TopolTool.cxx - fix small bugs
    
    Correction of test scripts according to current behavior of algorithms
    
    lowalgos/intss/bug32849 - test case added

ifv

2022-02-22 10:19

developer   ~0107019

Last edited: 2022-02-22 11:02

Branch CR32849 is ready for review.

Issue 0032849 is child of 0032811, which is intended only to solve intersection problem.

Branches for integration:
OCCT - CR32849
Products - not

Test results:
CR32849-master-IFV

git

2022-02-22 12:11

administrator   ~0107023

Branch CR32849 has been updated forcibly by ifv.

SHA-1: 1d04ecb298705a3cc4c129eff15f142ca9625361

msv

2022-02-22 13:51

developer   ~0107030

Please rename the command OCC24472 into CheckBends, remove the TCL procedure CheckLoops, and change in tests CheckLoops to CheckBends.

Please remove TODO instead of commenting them out.

kgv

2022-02-22 13:56

developer   ~0107031

> Please rename the command OCC24472 into CheckBends

Could be `QACheckBends` to keep common prefix for QA commands.

git

2022-02-25 15:50

administrator   ~0107066

Branch CR32849 has been updated forcibly by ifv.

SHA-1: 993dcb113e1db727f61d262f8ad326ad6bbb432e

git

2022-02-28 11:14

administrator   ~0107097

Branch CR32849 has been updated forcibly by ifv.

SHA-1: 283b6177b92a8941203347c0912b29972fbcb6b0

ifv

2022-02-28 16:09

developer   ~0107104

Branch CR32849 is updated and tested according to remarks

Branches for integration:
OCCT - CR32849
Products - not

Test results:
CR32849-master-IFV

smoskvin

2022-03-06 10:08

administrator   ~0107204

Combination -
OCCT branch : IR-2022-03-05
master SHA - acce2c1448254a2e57cc940dc479a795dcc3f5f0
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-03-05 SHA - 811792d8c83c5e910e820c2e0f9efd0c3306cee3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18394.330000000256 / 18467.180000000375 [-0.39%]
Products
Total CPU difference: 11708.150000000112 / 11716.630000000077 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20348.171875 / 20359.046875 [-0.05%]
Products
Total CPU difference: 13154.5625 / 13140.734375 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-03-06 13:20

administrator   ~0107220

Branch CR32849 has been deleted by mnt.

SHA-1: 283b6177b92a8941203347c0912b29972fbcb6b0

Related Changesets

occt: master 5c48956f

2022-02-01 12:17:52

ifv


Committer: smoskvin Details Diff
0032849: Modeling Algorithms - Intersection algorithm returns incomplete result.

GeomInt/GeomInt_IntSS.cxx, IntTools/IntTools_FaceFace.cxx - setting deflection 0.01
for case of two bspline surfaces
IntPolyh/IntPolyh_Intersection.cxx, IntPolyh/IntPolyh_Intersection.hxx - status IsParallel is added

BndLib/BndLib_Add3dCurve.cxx, IntTools/IntTools_TopolTool.cxx - fix small bugs

Correction of test scripts according to current behavior of algorithms

lowalgos/intss/bug32849 - test case added
Affected Issues
0032849
mod - src/BndLib/BndLib_Add3dCurve.cxx Diff File
mod - src/GeomInt/GeomInt_IntSS.cxx Diff File
mod - src/IntPolyh/IntPolyh_Intersection.cxx Diff File
mod - src/IntPolyh/IntPolyh_Intersection.hxx Diff File
mod - src/IntTools/IntTools_FaceFace.cxx Diff File
mod - src/IntTools/IntTools_TopolTool.cxx Diff File
mod - src/QABugs/QABugs_20.cxx Diff File
mod - tests/boolean/bfuse_complex/R9 Diff File
mod - tests/boolean/bfuse_complex/S1 Diff File
mod - tests/bugs/modalg_1/bug12918 Diff File
mod - tests/bugs/modalg_4/bug697_2 Diff File
mod - tests/bugs/modalg_4/bug697_4 Diff File
mod - tests/bugs/modalg_4/bug697_7 Diff File
mod - tests/bugs/modalg_4/bug697_8 Diff File
mod - tests/bugs/modalg_5/bug22829 Diff File
mod - tests/bugs/modalg_5/bug24003 Diff File
mod - tests/bugs/modalg_5/bug25625 Diff File
mod - tests/bugs/modalg_6/bug24161 Diff File
mod - tests/bugs/modalg_6/bug28283 Diff File
mod - tests/bugs/modalg_7/bug21134 Diff File
mod - tests/bugs/modalg_7/bug25082_1 Diff File
mod - tests/bugs/modalg_7/bug25082_2 Diff File
mod - tests/bugs/modalg_7/bug28150_1 Diff File
mod - tests/bugs/modalg_7/bug29900 Diff File
mod - tests/bugs/modalg_7/bug30559 Diff File
mod - tests/bugs/modalg_7/bug30760 Diff File
mod - tests/bugs/modalg_7/bug31890 Diff File
mod - tests/bugs/moddata_1/bug150_1 Diff File
mod - tests/bugs/moddata_1/bug150_2 Diff File
mod - tests/lowalgos/intss/begin Diff File
mod - tests/lowalgos/intss/bug24472 Diff File
mod - tests/lowalgos/intss/bug25952_1 Diff File
mod - tests/lowalgos/intss/bug25952_2 Diff File
mod - tests/lowalgos/intss/bug25952_3 Diff File
mod - tests/lowalgos/intss/bug28493 Diff File
mod - tests/lowalgos/intss/bug32607 Diff File
add - tests/lowalgos/intss/bug32849 Diff File
mod - tests/perf/modalg/bug10160_1 Diff File
mod - tests/perf/modalg/bug10160_2 Diff File
mod - tests/perf/modalg/bug10160_3 Diff File
mod - tests/perf/modalg/bug10160_4 Diff File
mod - tests/perf/modalg/bug29329 Diff File

Issue History

Date Modified Username Field Change
2022-02-21 10:24 ifv New Issue
2022-02-21 10:24 ifv Assigned To => ifv
2022-02-21 10:36 ifv Steps to Reproduce Updated
2022-02-21 10:37 ifv Relationship added child of 0032811
2022-02-21 10:39 ifv Note Added: 0107001
2022-02-21 10:39 ifv File Added: bug32849_s1
2022-02-21 10:39 ifv File Added: bug32849_s2
2022-02-21 14:35 git Note Added: 0107009
2022-02-22 10:09 ifv Test case number => lowalgos/intss/bug32649
2022-02-22 10:19 ifv Assigned To ifv => msv
2022-02-22 10:19 ifv Status new => resolved
2022-02-22 10:19 ifv Note Added: 0107019
2022-02-22 11:01 ifv Test case number lowalgos/intss/bug32649 => lowalgos/intss/bug32849
2022-02-22 11:02 ifv Note Edited: 0107019
2022-02-22 11:02 ifv Note Edited: 0107019
2022-02-22 12:11 git Note Added: 0107023
2022-02-22 13:51 msv Note Added: 0107030
2022-02-22 13:51 msv Assigned To msv => ifv
2022-02-22 13:51 msv Status resolved => assigned
2022-02-22 13:56 kgv Note Added: 0107031
2022-02-25 12:41 ifv Time allocated 21.2.2022: 7 h. => set
2022-02-25 12:42 ifv Time allocated 22.2.2022: 4 h. => set
2022-02-25 12:43 ifv Time allocated 25.2.2022: 4 h. => set
2022-02-25 15:50 git Note Added: 0107066
2022-02-28 11:14 git Note Added: 0107097
2022-02-28 16:09 ifv Assigned To ifv => msv
2022-02-28 16:09 ifv Status assigned => resolved
2022-02-28 16:09 ifv Note Added: 0107104
2022-02-28 17:38 msv Assigned To msv => bugmaster
2022-02-28 17:38 msv Status resolved => reviewed
2022-03-04 15:10 ifv Time allocated 28.2.2022: 7 h. => set
2022-03-06 10:08 smoskvin Status reviewed => tested
2022-03-06 10:08 smoskvin Note Added: 0107204
2022-03-06 13:15 smoskvin Changeset attached => occt master 5c48956f
2022-03-06 13:15 ifv Assigned To bugmaster => ifv
2022-03-06 13:15 ifv Status tested => verified
2022-03-06 13:15 ifv Resolution open => fixed
2022-03-06 13:20 git Note Added: 0107220